Build failed with Unity 2017.3.1f1

Hello…
I updated unity from 5.5.0f3 to 2017.3.1f1 today… I can play the game in unity editor like before, but suddenly i cannot build my project again and get this errormessage, i googled but i dont find an answer, i hope someone of you can help me, so that i must not downgrade to 5.5.0f3. maybe someone of you had the same issue :stuck_out_tongue:

You’re missing DLLs related to UNetWeaver. Try reinstalling the package related to that. Also create a generic project with a few native unity calls and if that works then your Unity & Mono framework are good. If that fails then try a clean uninstall of all Unity & Mono programs via windows settings and perform a cleaning reinstall of 2017.3 plus the missing UNetWeaver if that is not already part of Unity.

So, after a long search i found the solution:

    [ClientCallback]
    protected override void UpdateOnClient()
    {
        base.UpdateOnClient();

        return; // <--- not allowed :/

        float angle = Vector3.Angle(Navigator.NavMeshAgent.velocity, this.transform.forward);
        ...
        ...
     }

For some reason i am not allowed to return if there is code after the return in a ClientCallback.
Now everything is working correctly.

It is really irritating that there is no correct error message which explains the problem.